#include "A.h"

using std::ostream;


/**
 * Print a description of an A object to an output stream.
 *
 * @param os Stream to output description to.
 * @return Stream after output.
 *
 * Doxygen fails to match this function definition with its
 * declaration in the header file.  This function references \c
 * ostream rather than \c std::ostream because of the \c using
 * declaration above.
 */
ostream&
A::print(ostream& os) const
{
    os << "A description of an A object.";
    return os;
}
