#include <iosfwd>


/**
 * Doxygen does not match the declaration for print() with its
 * definition in the file \a A.cc.
 *
 * The header file for this class intentionally avoids all \c using
 * directives in order to avoid forcing the directives on all users of
 * the class.  Thus the declaration for the print() function must
 * explicitly specify the \c std namespace.
 */
class A {
  public:
    virtual std::ostream& print(std::ostream&) const;
};
